Get Analysis Status
curl --request GET \
--url https://api.example.com/v1/analyses/{analysis_id}/status \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/v1/analyses/{analysis_id}/status"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/v1/analyses/{analysis_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"analysis": {
"id": "<string>",
"name": "<string>",
"owner_id": "<string>",
"created_at": 123,
"description": "<string>",
"started_at": 123
},
"overview": {
"analysis_status": "<string>",
"percentage": 123,
"sub_analyses_counts": {
"total": 123,
"pending": 123,
"queued": 123,
"in_progress": 123,
"completed": 123,
"problem": 123,
"failed": 123,
"skipped": 123
}
},
"details": {
"pending": [
{
"id": "<string>",
"url": "<string>",
"status_message": "<string>"
}
],
"queued": [
{
"id": "<string>",
"url": "<string>",
"status_message": "<string>"
}
],
"in_progress": [
{
"id": "<string>",
"url": "<string>",
"status_message": "<string>"
}
],
"completed": [
{
"id": "<string>",
"url": "<string>",
"status_message": "<string>"
}
],
"problem": [
{
"id": "<string>",
"url": "<string>",
"status_message": "<string>"
}
],
"failed": [
{
"id": "<string>",
"url": "<string>",
"status_message": "<string>"
}
],
"skipped": [
{
"id": "<string>",
"url": "<string>",
"status_message": "<string>"
}
]
}
},
"response_type": "AnalysisStatusResponse",
"links": [
{
"href": "/resource/{resource_id}",
"method": "GET",
"rel": "self",
"title": "Resource Details"
},
{
"href": "/resource/{resource_id}/related",
"method": "GET",
"rel": "related",
"title": "Related Resources"
}
]
}{
"data": {
"title": "Request Validation Error",
"status": 422,
"detail": "Request validation failed",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Unauthorized",
"status": 401,
"detail": "Authentication required",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Payment Required",
"status": 402,
"detail": "Payment required",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Forbidden",
"status": 403,
"detail": "Access forbidden",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Not Found",
"status": 404,
"detail": "Resource not found",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Request Validation Error",
"status": 422,
"detail": "Request validation failed",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Internal Server Error",
"status": 500,
"detail": "Internal server error",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}analyses
Get Analysis Status
Get analysis status with sub-analysis details.
GET
/
v1
/
analyses
/
{analysis_id}
/
status
Get Analysis Status
Authorizations
API Key for external integrations (format: greetincs_...)
Path Parameters
Analysis ID in TypeID format
Response
Successful Response
Response for analysis status endpoint.
Analysis status data with new structure.
Show child attributes
Show child attributes
HATEOAS links related to this response (e.g., self, next, prev)
Show child attributes
Show child attributes
Example:
[
{
"href": "/resource/{resource_id}",
"method": "GET",
"rel": "self",
"title": "Resource Details"
},
{
"href": "/resource/{resource_id}/related",
"method": "GET",
"rel": "related",
"title": "Related Resources"
}
]
⌘I